# danatools

A bunch of convenient tools to analyze data. It provides handy functions on top of NumPy, SciPy and Matplotlib to perform some frequent tasks. 

## Install

```sh
python -m pip install danatools
```

## Features
  * Calculate the root of the mean of the squares of an array
  * Compute a profile histogram
  * Save a figure to multiple formats and print their names
  * Calculate the fit errors by propagating the parameter errors
  * Calculate the coordinates of a confidence ellipse
  * Estimate the bias of a parameter estimator
  * Estimate the coverage of the confidence intervals
  * Estimate the p-value of a chi-squared test

## How to use

```py
import danatools
```

## Contributing
If you'd like to contribute, please fork the repository and use a feature
branch. Pull requests are warmly welcome.

## Links
- Repository: https://github.com/ravignad/danatools/

## Licensing
The code in this project is licensed under MIT license.

